--- postgresql-9.1.10/src/backend/utils/init/postinit.c	2013-10-08 05:13:47.000000000 +0200
+++ /usr/postgres/sources/postgresql-9.1.10/src/backend/utils/init/postinit.c	2013-12-05 14:21:53.180148568 +0100
@@ -225,9 +225,22 @@
 					(errmsg("replication connection authorized: user=%s",
 							port->user_name)));
 		else
+#ifdef USE_SSL
+			if (port->ssl > 0) {
+				ereport(LOG,
+						(errmsg("connection authorized: user=%s database=%s SSL",
+								port->user_name, port->database_name)));
+			}
+			else {
+				ereport(LOG,
+						(errmsg("connection authorized: user=%s database=%s NOSSL",
+								port->user_name, port->database_name)));
+			}
+#else
 			ereport(LOG,
 					(errmsg("connection authorized: user=%s database=%s",
 							port->user_name, port->database_name)));
+#endif
 	}
 
 	set_ps_display("startup", false);
